﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace wpf_connection3.model
{


    public class Product
    {
        public int ID { get; set; }
        public string Title { get; set; }
        public string? Image { get; set; }
        public int ProductTypeID { get; set; }
        public string ProductTypeTitle { get; set; }
        public string ArticleNumber { get; set; }
        public double? MaterialCost { get; set; }
        public string? MaterialString { get; set; }
        public string Description { get; set; }
        public Uri? ImageBitmap
        {
            get
            {
                var imageName = Environment.CurrentDirectory + (Image ?? "");
                return System.IO.File.Exists(imageName) ? new Uri(imageName) : null;
            }
        }
        public int? LastMonthSaleQuantity { get; set; }
        public int ProductionPersonCount { get; set; }
        public int ProductionWorkshopNumber { get; set; }
        public decimal MinCostForAgent { get; set; }

        public string BackgroundColor

        {
            get
            {
                // возвращаем цвет, в зависимости от количества продаж 
                if (LastMonthSaleQuantity == null || LastMonthSaleQuantity == 0) return "#E75480"; 
                return "#71bc78"; 
            }
        }
    }
}

